package com.ssj.bean.sys.feedback.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
@Entity
@Table(name = "scon_feedback")
public class Feedback extends BaseEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = 3504380123024417250L;

	/**
     * 难题类型 or 作业类型
     */

    private String            bizType;

    /**
     * 难题ID or 作业ID
     */
  
    private String            bizId;


    private String            userId;
    

    private String            type;

  
    private Date              createTime;
    
  
    private String parentId;
    @Column(name = "biz_type")
	public String getBizType() {
		return bizType;
	}

	public void setBizType(String bizType) {
		this.bizType = bizType;
	}
	@Column(name = "biz_id")
	public String getBizId() {
		return bizId;
	}

	public void setBizId(String bizId) {
		this.bizId = bizId;
	}
	@Column(name = "user_id")
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "parent_id")
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

}
